jQuery(document).ready(function() {
	// DataTable informes_por_localizaciones_jerarquicas
	var oInformes  = $('#informes').dataTable( {
		"sPaginationType": "full_numbers",
		"iDisplayLength": 10,
		"sScrollX": "100%",
        "bScrollCollapse": true,           
		"sDom": '<"tbl-tools-searchbox"fl<"clear">>,<"tbl_tools"CT<"clear">>,<"table_content"t>,<"widget-bottom"ip<"clear">>',
        
		"oTableTools": {
            "sSwfPath": "../web_tools/swf/copy_cvs_xls_pdf.swf",
			"aButtons": [				
                {
                    "sExtends": "pdf",
                    "sButtonText": "Exportar a PDF",
					"sPdfOrientation": "landscape",
					"sPdfSize": "tabloid",
					"sFileName": "Monitor Web - Informe por localización Jerárquica.pdf",
					"sTitle": "Monitor Web - Informe por localización Jerárquica"
                },
				{
                    "sExtends": "xls",
                    "sButtonText": "Exportar a Excel",
					"sPdfOrientation": "landscape",
					"sPdfSize": "legal",
					"sFileName": "Monitor Web - Informe por localización Jerárquica.xls",
					"sTitle": "Monitor Web - Informe por localización Jerárquica"
                }
            ]
        }
	});
 
	$("#filtrarBtn_informes").click(function()
	{				
		var fecha_hasta = document.getElementById('fecha_hasta_hidden').value;		
		var fecha_desde = document.getElementById('fecha_desde_hidden').value;
		
		//obtenemos el ultimo nivel que esta configurado en el sistema para trabajar.
		var localizacion_jerarquica_configurado = document.getElementById('localizacion_jerarquica_configurado').value;
		//obtenemos todas las localizaciones jerarquicas seleccionadas.
		var localizacion_jerarquica = get_localizaciones_jerarquicas();
		//obtnemos el nivel de localizacion jerarquica con que se va a realizar la eficiencia.
		var nivel = null;
		
		if($("#habilita_zonas").is(':checked'))
			nivel = 3;
		else if($("#habilita_distritos").is(':checked'))
			nivel = 2;
		else
			nivel = 1;
		
		oInformes.fnReloadAjax('Modules/informes_por_localizaciones_jerarquicas/libreria_general.php?case=3&fecha_desde='+fecha_desde
																		+'&fecha_hasta='+fecha_hasta
																		+'&localizacion_jerarquica_configurado='+localizacion_jerarquica_configurado
																		+'&nivel='+nivel
																		+'&localizacion_jerarquica='+localizacion_jerarquica);

	});
});

function ajaxs()
{
	var xmlhttp=false;
	try 
	{
		xmlhttp = new ActiveXObject('Msxml2.XMLHTTP');
	}
 	catch (e) 
	{
		try 
		{
			xmlhttp = new ActiveXObject('Microsoft.XMLHTTP');
		}
 		catch (E) 
		{
			xmlhttp = false;
		}
	}
	if (!xmlhttp && typeof XMLHttpRequest!='undefined') 
	{
		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}

function distritos()
{
	if($("#habilita_distritos").is(':checked')){ 
		var $select_distritos = $('#distritos');
		var $select_zonas = $('#zonas');  
		
		var seleccionado = [];
		$('#sucursales option:selected').each(function() {
			seleccionado.push($(this).attr('value'));
		});
		var sucursales = JSON.stringify(seleccionado);		
		
		//request the JSON data and parse into the select element
		$.getJSON('Modules/informes_por_localizaciones_jerarquicas/libreria_general.php?case=1&sucursales='+sucursales, function(data){
	 
		  //eliminamos todos los 
		  $select_distritos.html('');
		  $select_zonas.html('');
	 
		  //iteramos sobre cada elemento sucursal del json.
		  $.each(data, function(key, val){ 
			$select_distritos.append('<option selected="selected" value="' + val.LocalizacionJerarquicaID + '">' + val.Descripcion + '</option>');
		  })
		});
	}	
}

function zonas()
{
	if($("#habilita_zonas").is(':checked')){
	
		var $select_zonas = $('#zonas'); 
		
		var seleccionado = [];
		$('#distritos option:selected').each(function() {
			seleccionado.push($(this).attr('value'));
		});
		var distritos = JSON.stringify(seleccionado);		
		
		//request the JSON data and parse into the select element
		$.getJSON('Modules/informes_por_localizaciones_jerarquicas/libreria_general.php?case=2&distritos='+distritos, function(data){
	 
		  //eliminamos todos los 
		  $select_zonas.html('');
	 
		  //iteramos sobre cada elemento sucursal del json.
		  $.each(data, function(key, val){ 
			$select_zonas.append('<option selected="selected" value="' + val.LocalizacionJerarquicaID + '">' + val.Descripcion + '</option>');
		  })
		});
	}
}


function get_localizaciones_jerarquicas(){
	
	var localizaciones_jerarquicas = null;
	var seleccionado = [];
	//verificamos si hay algunas zonas seleccionadas.
	if($("#habilita_zonas").is(':checked')){ 
		seleccionado = [];
		$('#zonas option:selected').each(function() {
			seleccionado.push($(this).attr('value'));
		});	
		localizaciones_jerarquicas =JSON.stringify(seleccionado);
	}
	
	//verificamos si hay algunos distritos seleccionados.
	else if($("#habilita_distritos").is(':checked')){ 
		seleccionado = [];
		$('#distritos option:selected').each(function() {
			seleccionado.push($(this).attr('value'));
		});	
		localizaciones_jerarquicas =JSON.stringify(seleccionado);			
	}
	
	//verificamos si hay algunas sucursales seleccionadas.
	else { 
		seleccionado = [];
		$('#sucursales option:selected').each(function() {
			seleccionado.push($(this).attr('value'));
		});	
		localizaciones_jerarquicas =JSON.stringify(seleccionado);			
	}
	
	return localizaciones_jerarquicas;
}

function habilitar_distritos(){
	if($("#habilita_distritos").is(':checked')){  
		$("#distritos").removeAttr( "disabled" );
		$("#habilita_zonas").removeAttr( "disabled" );
		distritos();
	}
	else{
  	    $("#distritos").attr({disabled: "disabled",value: "disabled"});
  	    $("#zonas").attr({disabled: "disabled",value: "disabled"});
  	    $("#habilita_zonas").attr({disabled: "disabled",value: "disabled"});	
		$("#habilita_zonas").removeAttr( "checked" );
		$('#distritos option').remove();
		$('#zonas option').remove();
	}
}

function habilitar_zonas(){
	if($("#habilita_zonas").is(':checked')){  
		$("#zonas").removeAttr( "disabled" );
		zonas();
	}
	else{
  	    $("#zonas").attr({disabled: "disabled",value: "disabled"});
		$('#zonas option').remove();
	}
}
